PO4A-UPDATEPO(1p)

NAAM
po4a-updatepo - de vertaling (in PO-formaat) van documentatie updaten

OVERZICHT
po4a-updatepo -f fmt (-m hoofddocument.doc)+ (-p XX.po)+

(XX.po zijn de uitvoerbestanden, alle andere zijn invoer)

BESCHRIJVING
Het doel van het project po4a (PO voor alles) is om de vertaalwerkzaamheden (en interessanter nog, het onderhoud van vertalingen) te vergemakkelijken met behulp van gettext-hulpmiddelen in domeinen waarin deze niet meteen verwacht worden, zoals documentatie.

Het script po4a-updatepo is belast met het updaten van PO-bestanden om ze de wijzigingen die aan het originele documentatiebestand aangebracht werden, te laten weerspiegelen. Daartoe zet het dit documentatiebestand om naar een POT-bestand en voert het msgmerge(1) uit op dit nieuwe POT-bestand en de opgegeven PO-bestanden.

Het is mogelijk om meer dan één PO-bestand op te geven (indien u verschillende talen tegelijk wilt updaten), en verschillende documentatiebestanden (indien u de vertaling van verschillende documenten in hetzelfde PO-bestand wilt opslaan).

Indien het hoofddocument niet-ASCII-tekens bevat, zal dit script de PO-bestanden naar UTF-8 converteren (als ze het niet reeds waren) voor een transparante verwerking van niet-standaard tekens.

OPTIES

-f, --format
    Indeling van de documentatie die u wilt afhandelen. Gebruik de optie --help-format om de lijst van beschikbare indelingen te zien.

-m, --master
    Bestand(en) met het te vertalen hoofddocument.

-M, --master-charset
    Tekenset van de bestanden met het te vertalen document. Merk op dat alle bestanden dezelfde tekenset moeten gebruiken.

-p, --po
    Te updaten PO-bestand(en). Indien deze bestanden niet bestaan, worden ze door po4a-updatepo aangemaakt.

-o, --option
    Extra optie(s) om door te geven aan de indelingsplug-in. Raadpleeg de documentatie bij elke plug-in voor meer informatie over de geldige opties en hun betekenis. U zou bijvoorbeeld '-o tablecells' kunnen doorgeven aan de ontleder voor AsciiDoc, terwijl de ontleder voor tekst '-o tabs=split' zou accepteren.

--no-previous
    Deze optie verwijdert --previous uit de opties die doorgegeven worden aan msgmerge. Dit helpt oude versies van gettext (voor 0.16) te ondersteunen.

--previous
    Met deze optie voegt men --previous toe aan de opties die aan msgmerge doorgegeven worden. De optie heeft versie 0.16 of recenter van gettext nodig en is standaard geactiveerd.

--msgmerge-opt opties
    Extra opties voor msgmerge(1).

-h, --help
    Een korte hulptekst tonen.

--help-format
    De documentatie-indelingen vermelden die door po4a begrepen worden.

-V, --version
    De versie van het script tonen en afsluiten.

-v, --verbose
    De breedsprakigheid van het programma verhogen.

-d, --debug
    Enige foutopsporingsinformatie weergeven.

--porefs type[,wrap|nowrap]
    Het referentieformaat specificeren. Het argument type kan één van de volgende zijn: never om geen enkele referentie te produceren, file om enkel het bestand zonder het lijnnummer te specificeren, counter om het regelnummer te vervangen door een oplopende teller, en full om volledige referenties op te nemen (standaard: full).

    Het argument kan gevolgd worden door een komma en het sleutelwoord wrap of nowrap. Referenties worden standaard op één enkele regel geschreven. Met de optie wrap worden de referenties op verschillende regels geplaatst om het gettext-gereedschap (xgettext en msgmerge) na te bootsen. In een toekomstige release zal deze optie de standaard worden, omdat dit zinvoller is. De optie nowrap is beschikbaar, zodat gebruikers die zulks wensen, het oude gedrag kunnen behouden.

--wrap-po no|newlines|getal (standaard: 76)
    Specificeren hoe de regelafbreking voor po-bestanden er moet uitzien. Dit geeft de keuze tussen bestanden met een mooie regelafbreking, die echter kunnen leiden tot git-conflicten en bestanden die makkelijker automatisch te behandelen zijn, maar voor mensen moeilijker leesbaar.

    Vanouds brak de gettext-suite uit cosmetische overwegingen de regels van po-bestanden af bij de 77e kolom. Deze optie specificeert het gedrag van po4a. Indien dit ingesteld wordt op een numerieke waarde, zal po4a de regels van het po-bestand afbreken na deze kolom en na regeleinden die in de inhoud voorkomen. Indien dit ingesteld wordt op newlines, zal po4a de msgid en msgstr enkel afbreken na regeleinden die in de inhoud voorkomen. Indien dit ingesteld wordt op no, zal po4a helemaal geen regelafbreking toepassen in het po-bestand. De regelafbreking in het referentiecommentaar wordt geregeld door de optie --porefs.

    Merk op dat deze optie geen impact heeft op de wijze waarop regelafbreking in msgid en msgstr gebeurt, d.w.z. op hoe einderegels toegevoegd worden aan de inhoud van deze tekstfragmenten.

--msgid-bugs-address email@adres
    Het adres instellen voor het rapporteren van msgid-bugs. Standaard bevatten de gecreëerde POT-bestanden niet het veld Report-Msgid-Bugs-To.

--copyright-holder tekenreeks
    Instellen van de copyrighthouder in de POT-header. De standaardwaarde is "Free Software Foundation, Inc."

--package-name tekenreeks
    Instellen van de pakketnaam voor de POT-header. Standaard is dat "PACKAGE".

--package-version tekenreeks
    Instellen van de pakketversie voor de POT-header. Standaard is dat "VERSION".

ZIE OOK
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT EN LICENTIE
Copyright 2002-2020 door SPI, inc.

Dit programma is vrije software; u kunt het verder verspreiden en/of aanpassen onder de bepalingen van de GPL (zie het bestand COPYING).